#ifndef _PIPE_H_
#define _PIPE_H_

struct pipe {
	int src_fd;
	int dst_fd;
	char *buf;
	int bufsize;
	int bytes;
	int offs;
	int eof_read;
	long long tbytes;
	long long wbytes;
	long long accbytes;
	struct timeval ot;
	struct timeval vot;
};


extern int kill_on_eof;
extern int pmr_max_rate;
extern int pmr_shut_up;
extern int pmr_accounting_interval;
extern int pmr_print_pid;
extern char *prefix_file;


int handle_prefix_file(int dst_fd);
void pmr_loop(struct pipe *p1, struct pipe *p2, char *host1, char *file1,
	      char *host2, char *file2);

#endif
