#ifndef _SUPPORT_H_
#define _SUPPORT_H_

#define die(fmt, args...) do { fprintf(stderr, "shd-tcp-tools: " fmt, ## args); exit(1); } while(0)

#define dieerror(fmt, args...) do { fprintf(stderr, "shd-tcp-tools: " fmt ": %s\n", ## args, strerror(errno)); exit(1); } while(0)

#define REQUIRE_ARG(x, args...) if ((i + 1) >= argc) { die("Need another argument: " x, ## args); }

int xsleep(unsigned int nsecs);

#endif
